IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fcab::/16- First address
fcab::- Last address
fcab:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fcab:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
b.a.c.f.ip6.arpa
Split into smaller subnets
fcab::/16 makes 256 subnets of /24.
| # | Subnet | Last address |
|---|---|---|
| 1 | fcab::/24 | fcab:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fcab:100::/24 | fcab:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fcab:200::/24 | fcab:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fcab:300::/24 | fcab:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fcab:400::/24 | fcab:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fcab:500::/24 | fcab:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fcab:600::/24 | fcab:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fcab:700::/24 | fcab:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fcab:800::/24 | fcab:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fcab:900::/24 | fcab:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fcab:a00::/24 | fcab:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fcab:b00::/24 | fcab:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fcab:c00::/24 | fcab:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fcab:d00::/24 | fcab:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fcab:e00::/24 | fcab:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fcab:f00::/24 | fcab:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fcab:1000::/24 | fcab:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fcab:1100::/24 | fcab:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fcab:1200::/24 | fcab:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fcab:1300::/24 | fcab:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fcab:1400::/24 | fcab:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fcab:1500::/24 | fcab:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fcab:1600::/24 | fcab:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fcab:1700::/24 | fcab:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fcab:1800::/24 | fcab:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fcab:1900::/24 | fcab:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fcab:1a00::/24 | fcab:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fcab:1b00::/24 | fcab:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fcab:1c00::/24 | fcab:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fcab:1d00::/24 | fcab:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fcab:1e00::/24 | fcab:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fcab:1f00::/24 | fcab:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fcab:2000::/24 | fcab:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fcab:2100::/24 | fcab:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fcab:2200::/24 | fcab:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fcab:2300::/24 | fcab:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fcab:2400::/24 | fcab:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fcab:2500::/24 | fcab:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fcab:2600::/24 | fcab:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fcab:2700::/24 | fcab:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fcab:2800::/24 | fcab:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fcab:2900::/24 | fcab:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fcab:2a00::/24 | fcab:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fcab:2b00::/24 | fcab:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fcab:2c00::/24 | fcab:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fcab:2d00::/24 | fcab:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fcab:2e00::/24 | fcab:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fcab:2f00::/24 | fcab:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fcab:3000::/24 | fcab:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fcab:3100::/24 | fcab:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fcab:3200::/24 | fcab:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fcab:3300::/24 | fcab:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fcab:3400::/24 | fcab:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fcab:3500::/24 | fcab:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fcab:3600::/24 | fcab:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fcab:3700::/24 | fcab:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fcab:3800::/24 | fcab:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fcab:3900::/24 | fcab:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fcab:3a00::/24 | fcab:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fcab:3b00::/24 | fcab:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fcab:3c00::/24 | fcab:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fcab:3d00::/24 | fcab:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fcab:3e00::/24 | fcab:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fcab:3f00::/24 | fcab:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fcab:4000::/24 | fcab:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fcab:4100::/24 | fcab:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fcab:4200::/24 | fcab:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fcab:4300::/24 | fcab:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fcab:4400::/24 | fcab:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fcab:4500::/24 | fcab:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fcab:4600::/24 | fcab:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fcab:4700::/24 | fcab:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fcab:4800::/24 | fcab:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fcab:4900::/24 | fcab:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fcab:4a00::/24 | fcab:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fcab:4b00::/24 | fcab:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fcab:4c00::/24 | fcab:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fcab:4d00::/24 | fcab:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fcab:4e00::/24 | fcab:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fcab:4f00::/24 | fcab:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fcab:5000::/24 | fcab:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fcab:5100::/24 | fcab:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fcab:5200::/24 | fcab:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fcab:5300::/24 | fcab:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fcab:5400::/24 | fcab:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fcab:5500::/24 | fcab:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fcab:5600::/24 | fcab:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fcab:5700::/24 | fcab:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fcab:5800::/24 | fcab:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fcab:5900::/24 | fcab:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fcab:5a00::/24 | fcab:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fcab:5b00::/24 | fcab:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fcab:5c00::/24 | fcab:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fcab:5d00::/24 | fcab:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fcab:5e00::/24 | fcab:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fcab:5f00::/24 | fcab:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fcab:6000::/24 | fcab:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fcab:6100::/24 | fcab:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fcab:6200::/24 | fcab:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fcab:6300::/24 | fcab:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fcab:6400::/24 | fcab:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fcab:6500::/24 | fcab:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fcab:6600::/24 | fcab:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fcab:6700::/24 | fcab:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fcab:6800::/24 | fcab:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fcab:6900::/24 | fcab:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fcab:6a00::/24 | fcab:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fcab:6b00::/24 | fcab:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fcab:6c00::/24 | fcab:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fcab:6d00::/24 | fcab:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fcab:6e00::/24 | fcab:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fcab:6f00::/24 | fcab:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fcab:7000::/24 | fcab:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fcab:7100::/24 | fcab:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fcab:7200::/24 | fcab:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fcab:7300::/24 | fcab:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fcab:7400::/24 | fcab:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fcab:7500::/24 | fcab:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fcab:7600::/24 | fcab:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fcab:7700::/24 | fcab:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fcab:7800::/24 | fcab:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fcab:7900::/24 | fcab:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fcab:7a00::/24 | fcab:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fcab:7b00::/24 | fcab:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fcab:7c00::/24 | fcab:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fcab:7d00::/24 | fcab:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fcab:7e00::/24 | fcab:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fcab:7f00::/24 | fcab:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fcab:8000::/24 | fcab:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fcab:8100::/24 | fcab:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fcab:8200::/24 | fcab:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fcab:8300::/24 | fcab:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fcab:8400::/24 | fcab:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fcab:8500::/24 | fcab:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fcab:8600::/24 | fcab:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fcab:8700::/24 | fcab:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fcab:8800::/24 | fcab:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fcab:8900::/24 | fcab:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fcab:8a00::/24 | fcab:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fcab:8b00::/24 | fcab:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fcab:8c00::/24 | fcab:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fcab:8d00::/24 | fcab:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fcab:8e00::/24 | fcab:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fcab:8f00::/24 | fcab:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fcab:9000::/24 | fcab:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fcab:9100::/24 | fcab:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fcab:9200::/24 | fcab:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fcab:9300::/24 | fcab:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fcab:9400::/24 | fcab:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fcab:9500::/24 | fcab:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fcab:9600::/24 | fcab:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fcab:9700::/24 | fcab:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fcab:9800::/24 | fcab:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fcab:9900::/24 | fcab:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fcab:9a00::/24 | fcab:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fcab:9b00::/24 | fcab:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fcab:9c00::/24 | fcab:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fcab:9d00::/24 | fcab:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fcab:9e00::/24 | fcab:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fcab:9f00::/24 | fcab:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fcab:a000::/24 | fcab:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fcab:a100::/24 | fcab:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fcab:a200::/24 | fcab:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fcab:a300::/24 | fcab:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fcab:a400::/24 | fcab:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fcab:a500::/24 | fcab:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fcab:a600::/24 | fcab:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fcab:a700::/24 | fcab:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fcab:a800::/24 | fcab:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fcab:a900::/24 | fcab:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fcab:aa00::/24 | fcab:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fcab:ab00::/24 | fcab:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fcab:ac00::/24 | fcab:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fcab:ad00::/24 | fcab:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fcab:ae00::/24 | fcab:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fcab:af00::/24 | fcab:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fcab:b000::/24 | fcab:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fcab:b100::/24 | fcab:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fcab:b200::/24 | fcab:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fcab:b300::/24 | fcab:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fcab:b400::/24 | fcab:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fcab:b500::/24 | fcab:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fcab:b600::/24 | fcab:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fcab:b700::/24 | fcab:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fcab:b800::/24 | fcab:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fcab:b900::/24 | fcab:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fcab:ba00::/24 | fcab:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fcab:bb00::/24 | fcab:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fcab:bc00::/24 | fcab:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fcab:bd00::/24 | fcab:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fcab:be00::/24 | fcab:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fcab:bf00::/24 | fcab:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fcab:c000::/24 | fcab:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fcab:c100::/24 | fcab:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fcab:c200::/24 | fcab:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fcab:c300::/24 | fcab:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fcab:c400::/24 | fcab:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fcab:c500::/24 | fcab:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fcab:c600::/24 | fcab:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fcab:c700::/24 | fcab:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fcab:c800::/24 | fcab:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fcab:c900::/24 | fcab:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fcab:ca00::/24 | fcab:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fcab:cb00::/24 | fcab:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fcab:cc00::/24 | fcab:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fcab:cd00::/24 | fcab:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fcab:ce00::/24 | fcab:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fcab:cf00::/24 | fcab:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fcab:d000::/24 | fcab:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fcab:d100::/24 | fcab:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fcab:d200::/24 | fcab:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fcab:d300::/24 | fcab:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fcab:d400::/24 | fcab:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fcab:d500::/24 | fcab:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fcab:d600::/24 | fcab:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fcab:d700::/24 | fcab:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fcab:d800::/24 | fcab:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fcab:d900::/24 | fcab:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fcab:da00::/24 | fcab:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fcab:db00::/24 | fcab:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fcab:dc00::/24 | fcab:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fcab:dd00::/24 | fcab:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fcab:de00::/24 | fcab:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fcab:df00::/24 | fcab:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fcab:e000::/24 | fcab:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fcab:e100::/24 | fcab:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fcab:e200::/24 | fcab:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fcab:e300::/24 | fcab:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fcab:e400::/24 | fcab:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fcab:e500::/24 | fcab:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fcab:e600::/24 | fcab:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fcab:e700::/24 | fcab:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fcab:e800::/24 | fcab:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fcab:e900::/24 | fcab:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fcab:ea00::/24 | fcab:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fcab:eb00::/24 | fcab:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fcab:ec00::/24 | fcab:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fcab:ed00::/24 | fcab:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fcab:ee00::/24 | fcab:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fcab:ef00::/24 | fcab:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fcab:f000::/24 | fcab:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fcab:f100::/24 | fcab:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fcab:f200::/24 | fcab:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fcab:f300::/24 | fcab:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fcab:f400::/24 | fcab:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fcab:f500::/24 | fcab:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fcab:f600::/24 | fcab:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fcab:f700::/24 | fcab:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fcab:f800::/24 | fcab:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fcab:f900::/24 | fcab:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fcab:fa00::/24 | fcab:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fcab:fb00::/24 | fcab:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fcab:fc00::/24 | fcab:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fcab:fd00::/24 | fcab:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fcab:fe00::/24 | fcab:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fcab:ff00::/24 | fcab:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |